# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_archive`](#dsc_archive): The DSC Archive resource type. Automatically generated from version 2.12.0.0
* [`dsc_environment`](#dsc_environment): The DSC Environment resource type. Automatically generated from version 2.12.0.0
* [`dsc_group`](#dsc_group): The DSC Group resource type. Automatically generated from version 2.12.0.0
* [`dsc_groupset`](#dsc_groupset): The DSC  resource type. Automatically generated from version 2.12.0.0
* [`dsc_msipackage`](#dsc_msipackage): The DSC MsiPackage resource type. Automatically generated from version 2.12.0.0
* [`dsc_processset`](#dsc_processset): The DSC  resource type. Automatically generated from version 2.12.0.0
* [`dsc_registry`](#dsc_registry): The DSC Registry resource type. Automatically generated from version 2.12.0.0
* [`dsc_script`](#dsc_script): The DSC Script resource type. Automatically generated from version 2.12.0.0
* [`dsc_service`](#dsc_service): The DSC Service resource type. Automatically generated from version 2.12.0.0
* [`dsc_serviceset`](#dsc_serviceset): The DSC  resource type. Automatically generated from version 2.12.0.0
* [`dsc_user`](#dsc_user): The DSC User resource type. Automatically generated from version 2.12.0.0
* [`dsc_windowsfeature`](#dsc_windowsfeature): The DSC WindowsFeature resource type. Automatically generated from version 2.12.0.0
* [`dsc_windowsfeatureset`](#dsc_windowsfeatureset): The DSC  resource type. Automatically generated from version 2.12.0.0
* [`dsc_windowsoptionalfeature`](#dsc_windowsoptionalfeature): The DSC WindowsOptionalFeature resource type. Automatically generated from version 2.12.0.0
* [`dsc_windowsoptionalfeatureset`](#dsc_windowsoptionalfeatureset): The DSC  resource type. Automatically generated from version 2.12.0.0
* [`dsc_windowspackagecab`](#dsc_windowspackagecab): The DSC WindowsPackageCab resource type. Automatically generated from version 2.12.0.0
* [`dsc_windowsprocess`](#dsc_windowsprocess): The DSC WindowsProcess resource type. Automatically generated from version 2.12.0.0

## Resource types

### <a name="dsc_archive"></a>`dsc_archive`

The DSC Archive resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_archive` type.

##### `dsc_checksum`

Data type: `Optional[Enum['SHA-1', 'sha-1', 'SHA-256', 'sha-256', 'SHA-512', 'sha-512', 'CreatedDate', 'createddate', 'ModifiedDate', 'modifieddate']]`

The Checksum method to use to validate whether or not a file at the destination with the same name as a file in the archive actually matches that corresponding file in the archive. An invalid argument exception will be thrown if Checksum is specified while Validate is specified as false. ModifiedDate will check that the LastWriteTime property of the file at the destination matches the LastWriteTime property of the file in the archive. CreatedDate will check that the CreationTime property of the file at the destination matches the CreationTime property of the file in the archive. SHA-1, SHA-256, and SHA-512 will check that the hash of the file at the destination by the specified SHA method matches the hash of the file in the archive by the specified SHA method. The default value is ModifiedDate.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether or not the expanded content of the archive file at the specified path should exist at the specified destination. To update the specified destination to have the expanded content of the archive file at the specified path, specify this property as Present. To remove the expanded content of the archive file at the specified path from the specified destination, specify this property as Absent. The default value is Present.

#### Parameters

The following parameters are available in the `dsc_archive` type.

* [`dsc_credential`](#-dsc_archive--dsc_credential)
* [`dsc_destination`](#-dsc_archive--dsc_destination)
* [`dsc_force`](#-dsc_archive--dsc_force)
* [`dsc_path`](#-dsc_archive--dsc_path)
* [`dsc_psdscrunascredential`](#-dsc_archive--dsc_psdscrunascredential)
* [`dsc_validate`](#-dsc_archive--dsc_validate)
* [`name`](#-dsc_archive--name)
* [`validation_mode`](#-dsc_archive--validation_mode)

##### <a name="-dsc_archive--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential of a user account with permissions to access the specified archive path and destination if needed.

##### <a name="-dsc_archive--dsc_destination"></a>`dsc_destination`

namevar

Data type: `String`

The path where the specified archive file should be expanded to or removed from.

##### <a name="-dsc_archive--dsc_force"></a>`dsc_force`

Data type: `Optional[Boolean]`

Specifies whether or not any existing files or directories at the destination with the same name as a file or directory
in the archive should be overwritten to match the file or directory in the archive. When this property is false, an
error will be thrown if an item at the destination needs to be overwritten. The default value is false.

##### <a name="-dsc_archive--dsc_path"></a>`dsc_path`

namevar

Data type: `String`

The path to the archive file that should be expanded to or removed from the specified destination.

##### <a name="-dsc_archive--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_archive--dsc_validate"></a>`dsc_validate`

Data type: `Optional[Boolean]`

Specifies whether or not to validate that a file at the destination with the same name as a file in the archive actually
matches that corresponding file in the archive by the specified checksum method. If the file does not match and Ensure
is specified as Present and Force is not specified, the resource will throw an error that the file at the desintation
cannot be overwritten. If the file does not match and Ensure is specified as Present and Force is specified, the file at
the desintation will be overwritten. If the file does not match and Ensure is specified as Absent, the file at the
desintation will not be removed. The default value is false.

##### <a name="-dsc_archive--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_archive--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_environment"></a>`dsc_environment`

The DSC Environment resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_environment` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies if the environment varaible should exist.

##### `dsc_path`

Data type: `Optional[Boolean]`

Indicates whether or not the environment variable is the Path variable.

##### `dsc_target`

Data type: `Optional[Array[Enum['Process', 'process', 'Machine', 'machine']]]`

Indicates the target where the environment variable should be set.

##### `dsc_value`

Data type: `Optional[String]`

The desired value for the environment variable.

#### Parameters

The following parameters are available in the `dsc_environment` type.

* [`dsc_name`](#-dsc_environment--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_environment--dsc_psdscrunascredential)
* [`name`](#-dsc_environment--name)
* [`validation_mode`](#-dsc_environment--validation_mode)

##### <a name="-dsc_environment--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the environment variable for which you want to ensure a specific state.

##### <a name="-dsc_environment--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_environment--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_environment--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_group"></a>`dsc_group`

The DSC Group resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_group` type.

##### `dsc_description`

Data type: `Optional[String]`

The description the group should have.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Indicates if the group should exist or not.

##### `dsc_members`

Data type: `Optional[Array[String]]`

The members the group should have.

##### `dsc_memberstoexclude`

Data type: `Optional[Array[String]]`

The members the group should exclude.

##### `dsc_memberstoinclude`

Data type: `Optional[Array[String]]`

The members the group should include.

#### Parameters

The following parameters are available in the `dsc_group` type.

* [`dsc_credential`](#-dsc_group--dsc_credential)
* [`dsc_groupname`](#-dsc_group--dsc_groupname)
* [`dsc_psdscrunascredential`](#-dsc_group--dsc_psdscrunascredential)
* [`name`](#-dsc_group--name)
* [`validation_mode`](#-dsc_group--validation_mode)

##### <a name="-dsc_group--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

A credential to resolve non-local group members.

##### <a name="-dsc_group--dsc_groupname"></a>`dsc_groupname`

namevar

Data type: `String`

The name of the group to create, modify, or remove.

##### <a name="-dsc_group--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_group--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_group--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_groupset"></a>`dsc_groupset`

The DSC  resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_groupset` type.

##### `dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_ensure`

Data type: `Optional[String]`

 

##### `dsc_memberstoexclude`

Data type: `Optional[Array[String]]`

 

##### `dsc_memberstoinclude`

Data type: `Optional[Array[String]]`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

#### Parameters

The following parameters are available in the `dsc_groupset` type.

* [`dsc_groupname`](#-dsc_groupset--dsc_groupname)
* [`name`](#-dsc_groupset--name)
* [`validation_mode`](#-dsc_groupset--validation_mode)

##### <a name="-dsc_groupset--dsc_groupname"></a>`dsc_groupname`

namevar

Data type: `Array[String]`

 

##### <a name="-dsc_groupset--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_groupset--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_msipackage"></a>`dsc_msipackage`

The DSC MsiPackage resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_msipackage` type.

##### `dsc_arguments`

Data type: `Optional[String]`

The arguments to be passed to the MSI package during installation or uninstallation.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether or not the MSI file should be installed or uninstalled.

##### `dsc_filehash`

Data type: `Optional[String]`

The expected hash value of the MSI file at the given path.

##### `dsc_hashalgorithm`

Data type: `Optional[Enum['SHA1', 'sha1', 'SHA256', 'sha256', 'SHA384', 'sha384', 'SHA512', 'sha512', 'MD5', 'md5', 'RIPEMD160', 'ripemd160']]`

The algorithm used to generate the given hash value.

##### `dsc_installedon`

Data type: `Optional[String]`

The date that the MSI package was installed on or serviced on, whichever is later.

##### `dsc_installsource`

Data type: `Optional[String]`

The path to the MSI package.

##### `dsc_logpath`

Data type: `Optional[String]`

The path to the log file to log the output from the MSI execution.

##### `dsc_name`

Data type: `Optional[String]`

The display name of the MSI package.

##### `dsc_packagedescription`

Data type: `Optional[String]`

The description of the MSI package.

##### `dsc_path`

Data type: `String`

The path to the MSI file that should be installed or uninstalled.

##### `dsc_publisher`

Data type: `Optional[String]`

The publisher of the MSI package.

##### `dsc_servercertificatevalidationcallback`

Data type: `Optional[String]`

PowerShell code that should be used to validate SSL certificates for paths using HTTPS.

##### `dsc_signersubject`

Data type: `Optional[String]`

The subject that should match the signer certificate of the digital signature of the MSI file.

##### `dsc_signerthumbprint`

Data type: `Optional[String]`

The certificate thumbprint that should match the signer certificate of the digital signature of the MSI file.

##### `dsc_size`

Data type: `Optional[Integer[0, 4294967295]]`

The size of the MSI package in MB.

##### `dsc_version`

Data type: `Optional[String]`

The version number of the MSI package.

#### Parameters

The following parameters are available in the `dsc_msipackage` type.

* [`dsc_credential`](#-dsc_msipackage--dsc_credential)
* [`dsc_productid`](#-dsc_msipackage--dsc_productid)
* [`dsc_psdscrunascredential`](#-dsc_msipackage--dsc_psdscrunascredential)
* [`dsc_runascredential`](#-dsc_msipackage--dsc_runascredential)
* [`name`](#-dsc_msipackage--name)
* [`validation_mode`](#-dsc_msipackage--validation_mode)

##### <a name="-dsc_msipackage--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential of a user account to be used to mount a UNC path if needed.

##### <a name="-dsc_msipackage--dsc_productid"></a>`dsc_productid`

namevar

Data type: `String`

The identifying number used to find the package, usually a GUID.

##### <a name="-dsc_msipackage--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_msipackage--dsc_runascredential"></a>`dsc_runascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential of a user account under which to run the installation or uninstallation of the MSI package.

##### <a name="-dsc_msipackage--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_msipackage--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_processset"></a>`dsc_processset`

The DSC  resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_processset` type.

##### `dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_ensure`

Data type: `Optional[String]`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_standarderrorpath`

Data type: `Optional[String]`

 

##### `dsc_standardinputpath`

Data type: `Optional[String]`

 

##### `dsc_standardoutputpath`

Data type: `Optional[String]`

 

##### `dsc_workingdirectory`

Data type: `Optional[String]`

 

#### Parameters

The following parameters are available in the `dsc_processset` type.

* [`dsc_path`](#-dsc_processset--dsc_path)
* [`name`](#-dsc_processset--name)
* [`validation_mode`](#-dsc_processset--validation_mode)

##### <a name="-dsc_processset--dsc_path"></a>`dsc_path`

namevar

Data type: `Array[String]`

 

##### <a name="-dsc_processset--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_processset--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_registry"></a>`dsc_registry`

The DSC Registry resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_registry` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether or not the registry key or value should exist. To add or modify a registry key or value, set this property to Present. To remove a registry key or value, set the property to Absent.

##### `dsc_hex`

Data type: `Optional[Boolean]`

Specifies whether or not the specified DWord or QWord registry key data is provided in a hexadecimal format. Not valid for types other than DWord and QWord. The default value is $false.

##### `dsc_valuedata`

Data type: `Optional[Array[String]]`

The data the specified registry key value should have as a string or an array of strings (MultiString only).

##### `dsc_valuetype`

Data type: `Optional[Enum['String', 'string', 'Binary', 'binary', 'DWord', 'dword', 'QWord', 'qword', 'MultiString', 'multistring', 'ExpandString', 'expandstring']]`

The type the specified registry key value should have.

#### Parameters

The following parameters are available in the `dsc_registry` type.

* [`dsc_force`](#-dsc_registry--dsc_force)
* [`dsc_key`](#-dsc_registry--dsc_key)
* [`dsc_psdscrunascredential`](#-dsc_registry--dsc_psdscrunascredential)
* [`dsc_valuename`](#-dsc_registry--dsc_valuename)
* [`name`](#-dsc_registry--name)
* [`validation_mode`](#-dsc_registry--validation_mode)

##### <a name="-dsc_registry--dsc_force"></a>`dsc_force`

Data type: `Optional[Boolean]`

Specifies whether or not to overwrite the specified registry key value if it already has a value or whether or not to
delete a registry key that has subkeys. The default value is $false.

##### <a name="-dsc_registry--dsc_key"></a>`dsc_key`

namevar

Data type: `String`

The path of the registry key to add, modify, or remove. This path must include the registry hive/drive.

##### <a name="-dsc_registry--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_registry--dsc_valuename"></a>`dsc_valuename`

namevar

Data type: `String`

The name of the registry value. To add or remove a registry key, specify this property as an empty string without
specifying ValueType or ValueData. To modify or remove the default value of a registry key, specify this property as an
empty string while also specifying ValueType or ValueData.

##### <a name="-dsc_registry--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_registry--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_script"></a>`dsc_script`

The DSC Script resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_script` type.

##### `dsc_result`

Data type: `Optional[String]`

The result from the GetScript script block.

##### `ensurable`

Data type: `Boolean[false]`

Default attribute added to all dsc types without an ensure property. This resource is not ensurable.

#### Parameters

The following parameters are available in the `dsc_script` type.

* [`dsc_credential`](#-dsc_script--dsc_credential)
* [`dsc_getscript`](#-dsc_script--dsc_getscript)
* [`dsc_psdscrunascredential`](#-dsc_script--dsc_psdscrunascredential)
* [`dsc_setscript`](#-dsc_script--dsc_setscript)
* [`dsc_testscript`](#-dsc_script--dsc_testscript)
* [`name`](#-dsc_script--name)
* [`validation_mode`](#-dsc_script--validation_mode)

##### <a name="-dsc_script--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential of the user account to run the script under if needed.

##### <a name="-dsc_script--dsc_getscript"></a>`dsc_getscript`

namevar

Data type: `String`

A string that can be used to create a PowerShell script block that retrieves the current state of the resource.

##### <a name="-dsc_script--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_script--dsc_setscript"></a>`dsc_setscript`

namevar

Data type: `String`

A string that can be used to create a PowerShell script block that sets the resource to the desired state.

##### <a name="-dsc_script--dsc_testscript"></a>`dsc_testscript`

namevar

Data type: `String`

A string that can be used to create a PowerShell script block that validates whether or not the resource is in the
desired state.

##### <a name="-dsc_script--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_script--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_service"></a>`dsc_service`

The DSC Service resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_service` type.

##### `dsc_builtinaccount`

Data type: `Optional[Enum['LocalSystem', 'localsystem', 'LocalService', 'localservice', 'NetworkService', 'networkservice']]`

Indicates the sign-in account to use for the service.

##### `dsc_dependencies`

Data type: `Optional[Array[String]]`

An array of strings indicating the names of the dependencies of the service.

##### `dsc_description`

Data type: `Optional[String]`

The description of the service.

##### `dsc_desktopinteract`

Data type: `Optional[Boolean]`

The service can create or communicate with a window on the desktop. Must be false for services not running as LocalSystem. Defaults to False.

##### `dsc_displayname`

Data type: `Optional[String]`

The display name of the service.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Ensures that the service is present or absent. Defaults to Present.

##### `dsc_path`

Data type: `Optional[String]`

The path to the service executable file.

##### `dsc_startuptimeout`

Data type: `Optional[Integer[0, 4294967295]]`

The time to wait for the service to start in milliseconds. Defaults to 30000.

##### `dsc_startuptype`

Data type: `Optional[Enum['Automatic', 'automatic', 'Manual', 'manual', 'Disabled', 'disabled']]`

Indicates the startup type for the service.

##### `dsc_state`

Data type: `Optional[Enum['Running', 'running', 'Stopped', 'stopped', 'Ignore', 'ignore']]`

Indicates the state you want to ensure for the service. Defaults to Running.

##### `dsc_terminatetimeout`

Data type: `Optional[Integer[0, 4294967295]]`

The time to wait for the service to stop in milliseconds. Defaults to 30000.

#### Parameters

The following parameters are available in the `dsc_service` type.

* [`dsc_credential`](#-dsc_service--dsc_credential)
* [`dsc_name`](#-dsc_service--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_service--dsc_psdscrunascredential)
* [`name`](#-dsc_service--name)
* [`validation_mode`](#-dsc_service--validation_mode)

##### <a name="-dsc_service--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential to run the service under.

##### <a name="-dsc_service--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Indicates the service name. Note that sometimes this is different from the display name. You can get a list of the
services and their current state with the Get-Service cmdlet.

##### <a name="-dsc_service--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_service--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_service--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_serviceset"></a>`dsc_serviceset`

The DSC  resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_serviceset` type.

##### `dsc_builtinaccount`

Data type: `Optional[String]`

 

##### `dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_ensure`

Data type: `Optional[String]`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_startuptype`

Data type: `Optional[String]`

 

##### `dsc_state`

Data type: `Optional[String]`

 

#### Parameters

The following parameters are available in the `dsc_serviceset` type.

* [`dsc_name`](#-dsc_serviceset--dsc_name)
* [`name`](#-dsc_serviceset--name)
* [`validation_mode`](#-dsc_serviceset--validation_mode)

##### <a name="-dsc_serviceset--dsc_name"></a>`dsc_name`

namevar

Data type: `Array[String]`

 

##### <a name="-dsc_serviceset--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_serviceset--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_user"></a>`dsc_user`

The DSC User resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_user` type.

##### `dsc_description`

Data type: `Optional[String]`

A description for the user

##### `dsc_disabled`

Data type: `Optional[Boolean]`

Value used to disable/enable a user account

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

An enumerated value that describes if the user is expected to exist on the machine

##### `dsc_fullname`

Data type: `Optional[String]`

The display name of the user

##### `dsc_passwordchangenotallowed`

Data type: `Optional[Boolean]`

Value used to set whether a user can/cannot change their password

##### `dsc_passwordchangerequired`

Data type: `Optional[Boolean]`

Value used to require a user to change their password

##### `dsc_passwordneverexpires`

Data type: `Optional[Boolean]`

Value used to set whether a user's password expires or not

#### Parameters

The following parameters are available in the `dsc_user` type.

* [`dsc_password`](#-dsc_user--dsc_password)
* [`dsc_psdscrunascredential`](#-dsc_user--dsc_psdscrunascredential)
* [`dsc_username`](#-dsc_user--dsc_username)
* [`name`](#-dsc_user--name)
* [`validation_mode`](#-dsc_user--validation_mode)

##### <a name="-dsc_user--dsc_password"></a>`dsc_password`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The password for the user

##### <a name="-dsc_user--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_user--dsc_username"></a>`dsc_username`

namevar

Data type: `String`

The name of the User to Create/Modify/Delete

##### <a name="-dsc_user--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_user--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_windowsfeature"></a>`dsc_windowsfeature`

The DSC WindowsFeature resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_windowsfeature` type.

##### `dsc_displayname`

Data type: `Optional[String]`

The display name of the retrieved role or feature.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether the role or feature should be installed or uninstalled. To install the feature, set this property to Present. To uninstall the feature, set the property to Absent.

##### `dsc_includeallsubfeature`

Data type: `Optional[Boolean]`

Specifies whether the subfeatures of the main feature should also be installed.

##### `dsc_logpath`

Data type: `Optional[String]`

The path to the log file to log this operation.

#### Parameters

The following parameters are available in the `dsc_windowsfeature` type.

* [`dsc_credential`](#-dsc_windowsfeature--dsc_credential)
* [`dsc_name`](#-dsc_windowsfeature--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_windowsfeature--dsc_psdscrunascredential)
* [`name`](#-dsc_windowsfeature--name)
* [`validation_mode`](#-dsc_windowsfeature--validation_mode)

##### <a name="-dsc_windowsfeature--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

A credential, if needed, to install or uninstall the role or feature.

##### <a name="-dsc_windowsfeature--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the role or feature to install or uninstall.

##### <a name="-dsc_windowsfeature--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_windowsfeature--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_windowsfeature--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_windowsfeatureset"></a>`dsc_windowsfeatureset`

The DSC  resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_windowsfeatureset` type.

##### `dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_ensure`

Data type: `Optional[String]`

 

##### `dsc_includeallsubfeature`

Data type: `Optional[Boolean]`

 

##### `dsc_logpath`

Data type: `Optional[String]`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_source`

Data type: `Optional[String]`

 

#### Parameters

The following parameters are available in the `dsc_windowsfeatureset` type.

* [`dsc_name`](#-dsc_windowsfeatureset--dsc_name)
* [`name`](#-dsc_windowsfeatureset--name)
* [`validation_mode`](#-dsc_windowsfeatureset--validation_mode)

##### <a name="-dsc_windowsfeatureset--dsc_name"></a>`dsc_name`

namevar

Data type: `Array[String]`

 

##### <a name="-dsc_windowsfeatureset--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_windowsfeatureset--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_windowsoptionalfeature"></a>`dsc_windowsoptionalfeature`

The DSC WindowsOptionalFeature resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_windowsoptionalfeature` type.

##### `dsc_customproperties`

Data type: `Optional[Array[String]]`

The custom properties retrieved from the Windows optional feature as an array of strings.

##### `dsc_description`

Data type: `Optional[String]`

The description retrieved from the Windows optional feature.

##### `dsc_displayname`

Data type: `Optional[String]`

The display name retrieved from the Windows optional feature.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether the feature should be enabled or disabled. To enable the feature, set this property to Present. To disable the feature, set the property to Absent.

##### `dsc_loglevel`

Data type: `Optional[Enum['ErrorsOnly', 'errorsonly', 'ErrorsAndWarning', 'errorsandwarning', 'ErrorsAndWarningAndInformation', 'errorsandwarningandinformation']]`

The maximum output level to show in the log. Accepted values are: ErrorsOnly (only errors are logged), ErrorsAndWarning (errors and warnings are logged), and ErrorsAndWarningAndInformation (errors, warnings, and debug information are logged).

##### `dsc_logpath`

Data type: `Optional[String]`

The path to the log file to log this operation.

##### `dsc_nowindowsupdatecheck`

Data type: `Optional[Boolean]`

Specifies whether or not DISM contacts Windows Update (WU) when searching for the source files to enable the feature. If $true, DISM will not contact WU.

##### `dsc_removefilesondisable`

Data type: `Optional[Boolean]`

Specifies that all files associated with the feature should be removed if the feature is being disabled.

#### Parameters

The following parameters are available in the `dsc_windowsoptionalfeature` type.

* [`dsc_name`](#-dsc_windowsoptionalfeature--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_windowsoptionalfeature--dsc_psdscrunascredential)
* [`name`](#-dsc_windowsoptionalfeature--name)
* [`validation_mode`](#-dsc_windowsoptionalfeature--validation_mode)

##### <a name="-dsc_windowsoptionalfeature--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the feature to enable or disable.

##### <a name="-dsc_windowsoptionalfeature--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_windowsoptionalfeature--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_windowsoptionalfeature--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_windowsoptionalfeatureset"></a>`dsc_windowsoptionalfeatureset`

The DSC  resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_windowsoptionalfeatureset` type.

##### `dsc_loglevel`

Data type: `Optional[String]`

 

##### `dsc_logpath`

Data type: `Optional[String]`

 

##### `dsc_nowindowsupdatecheck`

Data type: `Optional[Boolean]`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_removefilesondisable`

Data type: `Optional[Boolean]`

 

#### Parameters

The following parameters are available in the `dsc_windowsoptionalfeatureset` type.

* [`dsc_ensure`](#-dsc_windowsoptionalfeatureset--dsc_ensure)
* [`dsc_name`](#-dsc_windowsoptionalfeatureset--dsc_name)
* [`name`](#-dsc_windowsoptionalfeatureset--name)
* [`validation_mode`](#-dsc_windowsoptionalfeatureset--validation_mode)

##### <a name="-dsc_windowsoptionalfeatureset--dsc_ensure"></a>`dsc_ensure`

namevar

Data type: `String`

 

##### <a name="-dsc_windowsoptionalfeatureset--dsc_name"></a>`dsc_name`

namevar

Data type: `Array[String]`

 

##### <a name="-dsc_windowsoptionalfeatureset--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_windowsoptionalfeatureset--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_windowspackagecab"></a>`dsc_windowspackagecab`

The DSC WindowsPackageCab resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_windowspackagecab` type.

##### `dsc_ensure`

Data type: `Enum['Present', 'present', 'Absent', 'absent']`

Specifies whether the package should be installed or uninstalled. To install the package, set this property to Present. To uninstall the package, set the property to Absent.

##### `dsc_logpath`

Data type: `Optional[String]`

The path to a file to log the operation to.

##### `dsc_sourcepath`

Data type: `String`

The path to the cab file to install or uninstall the package from.

#### Parameters

The following parameters are available in the `dsc_windowspackagecab` type.

* [`dsc_name`](#-dsc_windowspackagecab--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_windowspackagecab--dsc_psdscrunascredential)
* [`name`](#-dsc_windowspackagecab--name)
* [`validation_mode`](#-dsc_windowspackagecab--validation_mode)

##### <a name="-dsc_windowspackagecab--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the package to install or uninstall.

##### <a name="-dsc_windowspackagecab--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_windowspackagecab--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_windowspackagecab--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_windowsprocess"></a>`dsc_windowsprocess`

The DSC WindowsProcess resource type.
Automatically generated from version 2.12.0.0

#### Properties

The following properties are available in the `dsc_windowsprocess` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Indicates whether the process is present (running) or absent (not running).

##### `dsc_handlecount`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

The number of handles opened by the process.

##### `dsc_nonpagedmemorysize`

Data type: `Optional[Integer[0, 18446744073709551615]]`

The amount of nonpaged memory, in bytes, allocated for the process.

##### `dsc_pagedmemorysize`

Data type: `Optional[Integer[0, 18446744073709551615]]`

The amount of paged memory, in bytes, allocated for the process.

##### `dsc_processcount`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

The number of instances of the given process that are currently running.

##### `dsc_processid`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

The unique identifier of the process.

##### `dsc_standarderrorpath`

Data type: `Optional[String]`

The path to write the standard error stream to.

##### `dsc_standardinputpath`

Data type: `Optional[String]`

The path to receive standard input from.

##### `dsc_standardoutputpath`

Data type: `Optional[String]`

The path to write the standard output stream to.

##### `dsc_virtualmemorysize`

Data type: `Optional[Integer[0, 18446744073709551615]]`

The amount of virtual memory, in bytes, allocated for the process.

##### `dsc_workingdirectory`

Data type: `Optional[String]`

The directory to run the processes under.

#### Parameters

The following parameters are available in the `dsc_windowsprocess` type.

* [`dsc_arguments`](#-dsc_windowsprocess--dsc_arguments)
* [`dsc_credential`](#-dsc_windowsprocess--dsc_credential)
* [`dsc_path`](#-dsc_windowsprocess--dsc_path)
* [`dsc_psdscrunascredential`](#-dsc_windowsprocess--dsc_psdscrunascredential)
* [`name`](#-dsc_windowsprocess--name)
* [`validation_mode`](#-dsc_windowsprocess--validation_mode)

##### <a name="-dsc_windowsprocess--dsc_arguments"></a>`dsc_arguments`

namevar

Data type: `String`

A string of arguments to pass to the process executable. Pass in an empty string if no arguments are needed.

##### <a name="-dsc_windowsprocess--dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential to run the process under.

##### <a name="-dsc_windowsprocess--dsc_path"></a>`dsc_path`

namevar

Data type: `String`

The full path or file name to the process executable to start or stop.

##### <a name="-dsc_windowsprocess--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_windowsprocess--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_windowsprocess--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

